/**
 * @file
 * Visual styles for Bartik's field components.
 */

.field--type-entity-reference {
	margin: 0 0 1.2em;
	font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.field--type-entity-reference .field__label {
	margin: 0;
	padding-right: 5px; /* LTR */
	font-weight: normal;
}

[dir="rtl"] .field--type-entity-reference .field__label {
	padding-right: 0;
	padding-left: 5px;
}

.field--type-entity-reference .field__label,
.field--type-entity-reference ul.links {
	font-size: 0.8em;
}

.node--view-mode-teaser .field--type-entity-reference .field__label,
.node--view-mode-teaser .field--type-entity-reference ul.links {
	font-size: 0.821em;
}

.field--type-entity-reference ul.links {
	margin: 0;
	padding: 0;
	list-style: none;
}

/* This is required to win over specificity of [dir="rtl"] .region-content ul */
[dir="rtl"] .field--type-entity-reference ul.links {
	padding: 0;
}

.field--type-entity-reference ul.links li {
	float: left; /* LTR */
	padding: 0 1em 0 0; /* LTR */
	white-space: nowrap;
}

[dir="rtl"] .field--type-entity-reference ul.links li {
	float: right;
	padding: 0 0 0 1em;
}

@media all and (min-width: 560px) {
	.node .field--type-image {
		margin: 0 1em 0 0; /* LTR */
	}

	[dir="rtl"] .node .field--type-image {
		float: right;
		margin: 0 0 0 1em;
	}

	.node .field--type-image + .field--type-image {
		clear: both;
	}
}

.field--type-image img,
.field--name-user-picture img {
	margin: 0 0 1em;
}

.field--type-image a {
	border-bottom: none;
}

.field--name-field-tags {
	margin: 0 0 1.2em;
	font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.field--name-field-tags .field__label {
	margin: 0;
	padding-right: 5px; /* LTR */
	font-weight: normal;
}

[dir="rtl"] .field--name-field-tags .field__label {
	padding-right: 0;
	padding-left: 5px;
}

.field--name-field-tags .field__label,
.field--name-field-tags ul.links {
	font-size: 0.8em;
}

.node--view-mode-teaser .field--name-field-tags .field__label,
.node--view-mode-teaser .field--name-field-tags ul.links {
	font-size: 0.821em;
}

.field--name-field-tags ul.links {
	margin: 0;
	padding: 0;
}

.field--name-field-tags ul.links li {
	float: left; /* LTR */
	padding: 0 1em 0 0; /* LTR */
	white-space: nowrap;
}

[dir="rtl"] .field--name-field-tags ul.links li {
	float: right;
	padding: 0 0 0 1em;
}
